<template lang="">
    <div class="wallet-container">
        <div class="wallet-header">
            <h2>List of wallets</h2>
            <v-btn color="primary" @click="openCreateWalletModal()">Create new wallet</v-btn>
        </div>
        <div class="wallet-list">
            <v-card 
                v-for="(wallet, index) in wallets" :key="index" 
                class="wallet-item wallet-list__wallet-item"
                shaped
                elevation="6"
                outlined
            >
                <v-card-title>
                    #{{index+1}} {{wallet.name}}
                </v-card-title>
                <div>
                    <v-btn 
                        class="wallet-item__button"
                        small
                        elevation="4"
                        rounded
                        @click="$router.push(`/wallets/${wallet.name}`)"
                    >See addresses</v-btn>
                    <v-btn 
                        class="wallet-item__button"
                        small
                        elevation="4"
                        rounded
                        color="error"
                        @click="deleteWalletHandler(wallet.name)"
                    >Delete</v-btn>
                </div>
            </v-card>
        </div>
        <CreateWalletModal :is-open="isCreateModalOpen" @close-modal="isCreateModalOpen = false" ></CreateWalletModal>
    </div>
</template>
<script>
import CreateWalletModal from './modals/CreateWalletModal'
export default {
    created() {
        this.$store.dispatch('requestWallets')
    },
    data: () => ({
        isCreateModalOpen: false,
        
    }),
    methods: {
        openCreateWalletModal() {
            this.isCreateModalOpen = true
        },
        deleteWalletHandler(walletName) {
            this.$store.dispatch('deleteWallet', walletName)
        }
        
    },
    computed: {
        wallets() {
            return this.$store.state.wallets;
        }
    },
    components: {
        CreateWalletModal
    }
}
</script>
<style scoped>
    .wallet-container {
        width: 100%;
    }

    .wallet-header {
        display: flex;
        justify-content: space-between;
    }

    .wallet-list {
        display: flex;
        flex-direction: column;
        margin: 25px 0 0 0;
    }
    .wallet-list__wallet-item {
        margin: 0 0 10px 0;
    }

    .wallet-item {
        display: flex;
        align-items: center;
        justify-content: space-between;
        max-width: 700px;
    }

    .wallet-item__button {
        margin: 0 10px 0 0;
    }
</style>